Package org.eclipse.mat.jruby.resolver

## Class RubyStacktraceDumper.FrameModel

- java.lang.Object
- - org.eclipse.mat.jruby.resolver.RubyStacktraceDumper.FrameModel

Enclosing class:
  RubyStacktraceDumper

    public static class RubyStacktraceDumper.FrameModel
    extends Object

### Constructor Summary

Constructors
`FrameModel​(String moduleName, String methodName, String frameFileName, int frameLine, boolean isBindingFrame)`
`FrameModel​(IObject object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FrameModel

    public FrameModel​(IObject object)
               throws SnapshotException

Throws:
  `SnapshotException`

#### FrameModel

    public FrameModel​(String moduleName,
                      String methodName,
                      String frameFileName,
                      int frameLine,
                      boolean isBindingFrame)
               throws SnapshotException

Throws:
  `SnapshotException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`